package org.dromara.settlement.api.domain;

import java.io.Serializable;
import java.util.Date;

public class TransactionLog implements Serializable{
    /**
	 *
	 */
	private static final long serialVersionUID = -4881248715747858575L;

	private Long id;

    private Long unitId;

    private String orderNo;

    private Integer sourceAccId;

    private String sourceBankNo;

    private String sourceAccName;

    private String sourceCard;

    private Integer targetAccId;

    private String targetCard;

    private String targetBankNo;

    private String targetAccName;

    private String targetAccBankAddr;

    private String bankType;

    private Long amount;

    private Date addTime;

    private Short result;

    private String remark;

    private Date tranTime;

    private String reason;

    private String payReceipt;

    private String payReceiptId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUnitId() {
        return unitId;
    }

    public void setUnitId(Long unitId) {
        this.unitId = unitId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getSourceAccId() {
        return sourceAccId;
    }

    public void setSourceAccId(Integer sourceAccId) {
        this.sourceAccId = sourceAccId;
    }

    public String getSourceBankNo() {
        return sourceBankNo;
    }

    public void setSourceBankNo(String sourceBankNo) {
        this.sourceBankNo = sourceBankNo;
    }

    public String getSourceCard() {
        return sourceCard;
    }

    public void setSourceCard(String sourceCard) {
        this.sourceCard = sourceCard;
    }

    public Integer getTargetAccId() {
        return targetAccId;
    }

    public void setTargetAccId(Integer targetAccId) {
        this.targetAccId = targetAccId;
    }

    public String getTargetCard() {
        return targetCard;
    }

    public void setTargetCard(String targetCard) {
        this.targetCard = targetCard;
    }

    public String getTargetBankNo() {
        return targetBankNo;
    }

    public void setTargetBankNo(String targetBankNo) {
        this.targetBankNo = targetBankNo;
    }

    public Long getAmount() {
        return amount;
    }

    public void setAmount(Long amount) {
        this.amount = amount;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public Short getResult() {
        return result;
    }

    public void setResult(Short result) {
        this.result = result;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getTranTime() {
        return tranTime;
    }

    public void setTranTime(Date tranTime) {
        this.tranTime = tranTime;
    }

	public String getTargetAccName() {
		return targetAccName;
	}

	public void setTargetAccName(String targetAccName) {
		this.targetAccName = targetAccName;
	}

	public String getBankType() {
		return bankType;
	}

	public void setBankType(String bankType) {
		this.bankType = bankType;
	}

	public String getTargetAccBankAddr() {
		return targetAccBankAddr;
	}

	public void setTargetAccBankAddr(String targetAccBankAddr) {
		this.targetAccBankAddr = targetAccBankAddr;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getSourceAccName() {
		return sourceAccName;
	}

	public void setSourceAccName(String sourceAccName) {
		this.sourceAccName = sourceAccName;
	}

	public String getPayReceipt() {
		return payReceipt;
	}

	public void setPayReceipt(String payReceipt) {
		this.payReceipt = payReceipt;
	}

	public String getPayReceiptId() {
		return payReceiptId;
	}

	public void setPayReceiptId(String payReceiptId) {
		this.payReceiptId = payReceiptId;
	}
}
